<?php
/**
 * The template for displaying archive pages
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * If you'd like to further customize these archive views, you may create a
 * new template file for each one. For example, tag.php (Tag archives),
 * category.php (Category archives), author.php (Author archives), etc.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Twenty_Fifteen
 * @since Twenty Fifteen 1.0
 */

get_header(); ?>

<div class="breadcrumbs">
  <div class="container">
    <div class="row">
      <div class="col-12">
        <div class="bread-inner"> 
          <!-- Bread Menu -->
          <div class="bread-menu">
            <ul>
              <li><a href="#">Home</a></li>
              <li>Gallery</li>
            </ul>
          </div>
          <!-- Bread Title -->
          <div class="bread-title">
            <h2>Gallery</h2>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- / End Breadcrumb --> 

<!-- About Sec Start -->
<section class="inner-wrapper gallery-sec">
  <div class="container">
    <div class="row">
        <?php  $posts = new WP_Query( array( 'post_type' => 'gallery' , 'order' => 'ASC' ) );
while($posts->have_posts()) : $posts->the_post();?>
        <div class="col-xl-4 col-lg-4 col-md-6">
            <div class="single-project-style1">
              <div class="img-holder">
                <div class="inner"> <img src="<?php  echo wp_get_attachment_url( get_post_thumbnail_id($post->ID), 'full' ); ?>" alt="">
                  <div class="overlay-style-one bg1">
                    <div class="box">
                      <div class="content">
                        <div class="zoom-button"> <a class="lightbox-image" data-fancybox="gallery" href="<?php  echo wp_get_attachment_url( get_post_thumbnail_id($post->ID), 'full' ); ?>"> <img src="images/zoom.png" alt=""> </a> </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>  
          
          <?php endwhile; ?>    
          
          
         
          
         
          
         
          
    </div>
  </div>
</section>
<!-- About Sec End --> 
<!-- CTA Sec Start -->
<div class="cta-sec">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <div class="section_title white text_left mb-60 mt-3 text-center">
          <div class="phone_number mb-3">
            <h5> + 91 8017860402</h5>
          </div>
          <div class="section_main_title">
            <h2>Need To LCD LED & Smart TV Repair Services</h2>
          </div>
          <div class="button three mt-40"> <a href="contact-us.html">Contact Us <i class="fa fa-long-arrow-right"></i></a> </div>
        </div>
      </div>
    </div>
  </div>
</div>

<?php get_footer(); ?>
